联网搜索接口
curl --request POST \
--url https://geekai.co/api/v1/web_search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "glm-search-std",
"prompt": "杭州今天天气怎么样?",
"intent": false,
"count": 10,
"domain_filter": "baidu.com,google.com",
"recency_filter": "noLimit",
"content_size": "medium"
}
'import requests
url = "https://geekai.co/api/v1/web_search"
payload = {
"model": "glm-search-std",
"prompt": "杭州今天天气怎么样?",
"intent": False,
"count": 10,
"domain_filter": "baidu.com,google.com",
"recency_filter": "noLimit",
"content_size": "medium"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'glm-search-std',
prompt: '杭州今天天气怎么样?',
intent: false,
count: 10,
domain_filter: 'baidu.com,google.com',
recency_filter: 'noLimit',
content_size: 'medium'
})
};
fetch('https://geekai.co/api/v1/web_search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": 123,
"results": [
{
"link": "<string>",
"title": "<string>",
"content": "<string>",
"icon": "<string>",
"media": "<string>"
}
]
}{
"code": "validation_error",
"message": "参数验证失败",
"details": {
"field": "错误描述"
}
}{
"code": "unauthorized",
"message": "Invalid API key or token"
}{
"code": "invalid_request",
"message": "请求参数不合法"
}文本模型
联网搜索
POST
/
web_search
联网搜索接口
联网搜索 API 是一个专给大模型用的搜索引擎,在传统搜索引擎网页抓取、排序的能力基础上,增强了意图识别能力,返回更适合大模型处理的结果(网页标题、URL、摘要、名称、图标等)。支持意图增强检索、结构化输出和多引擎支持。
授权
bearerAuthapiKeyAuth
API认证token
请求体
application/json
搜索模型
搜索提示
示例:
"杭州今天天气怎么样?"
是否开启意图识别,默认为false
返回结果数量,默认10,最大50
必填范围:
1 <= x <= 50域名过滤器,逗号分隔的域名列表,搜索结果将只包含这些域名的内容
示例:
"baidu.com,google.com"
搜索指定时间范围内的网页,可选值为 noLimit(默认值,不限时间), oneDay(一天内), oneWeek(一周内), oneMonth(一月内), oneYear(一年内)
可用选项:
noLimit, oneDay, oneWeek, oneMonth, oneYear 控制返回网页摘要内容的长短,可选值为 medium(中等摘要,满足常规问答任务,默认值), high(详细摘要,最大化上下文,适合需要细节支撑的场景)
可用选项:
medium, high 此页面对您有帮助吗?
⌘I
